Get uploaded file status and details - Fabric

Get uploaded file status and details

cURL

curl --request GET \
  --url https://api.fabric.inc/v3/inventory-imports/{importId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'

Python

import requests

url = "https://api.fabric.inc/v3/inventory-imports/{importId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/inventory-imports/{importId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Example Response

{
  "createdAt": "2022-08-01T18:03:28.483Z",
  "importId": "62ff5c0bec0aed3c86202c32",
  "attributes": {
    "attribute": "12345"
  },
  "errorFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
  "fileName": "orderUpload.csv",
  "finishedAt": "2022-08-01T18:03:28.483Z",
  "importCount": {
    "error": 2000,
    "processed": 8000,
    "uploaded": 10000
  },
  "originalFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
  "statusCode": "INITIATED",
  "type": "INVENTORY",
  "updatedAt": "2022-08-01T20:03:28.483Z"
}

Error Response Example

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}